Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.response
Class BusinessList

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.response.Response
            |
            +--weblogic.uddi.client.structures.response.ListResponse
                  |
                  +--weblogic.uddi.client.structures.response.BusinessList

public class BusinessList
extends ListResponse

BusinessList contains one or more businessInfo data sets in response to a find_business inquiry message.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Fields inherited from class weblogic.uddi.client.structures.response.ListResponse
`truncated`

Fields inherited from class weblogic.uddi.client.structures.response.Response
`generic, operator`

Constructor Summary
`BusinessList()` Class constructor.

Method Summary
`BusinessInfos` | `getBusinessInfos()` Get the business infos.
`void` | `setBusinessInfos(BusinessInfos value)` Sets the business infos.

Methods inherited from class weblogic.uddi.client.structures.response.ListResponse
`isTruncated, setTruncated`

Methods inherited from class weblogic.uddi.client.structures.response.Response
`getGeneric, getOperator, setGeneric, setOperator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BusinessList

    public BusinessList()

  Class constructor.

Method Detail

### getBusinessInfos

    public BusinessInfos getBusinessInfos()

  Get the business infos.

  Returns:
    the current business infos.

### setBusinessInfos

    public void setBusinessInfos(BusinessInfos value)

  Sets the business infos.

  Parameters:
    `the` - set of of business infos.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference